Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryparser.flexible.core.nodes
Interface FieldValuePairQueryNode<T>

All Superinterfaces:
  FieldableNode, QueryNode, ValueQueryNode<T>

All Known Implementing Classes:
  FieldQueryNode, FuzzyQueryNode, NumericQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, WildcardQueryNode

    public interface FieldValuePairQueryNode<T>

extends FieldableNode, ValueQueryNode<T>

This interface should be implemented by `QueryNode` that holds a field and an arbitrary value.

See Also:
  `FieldableNode`, `ValueQueryNode`

Method Summary

Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.FieldableNode
`getField, setField`

Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.ValueQueryNode
`getValue, setValue`

Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode
`add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, set, setTag, toQueryString, toString, unsetTag`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.